
Website Monitoring - Task #1661

Make unit tests support CI

12/19/2016 09:47 PM - Luke Murphey

Status: Closed Start date: 12/19/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.1   

Description

1. Make setUpClass() reentrant and use a global instance of the web-server

2. Allow web-server port to be changed via an environment variable

3. Make tests that rely on the web-server skip

4. Use basebuild with the test targets

History

#1 - 12/19/2016 10:04 PM - Luke Murphey

- Description updated

#2 - 12/19/2016 10:05 PM - Luke Murphey

- Description updated

#3 - 12/21/2016 06:42 AM - Luke Murphey

- Description updated

#4 - 12/21/2016 07:10 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
